# 4 - Server Response Packets

For most commands which the client sends to the server, the server returns the following response packets:

{% columns %}
{% column %}
{% content-ref url="/pages/EcQnYge6uBrIttkyYYQX" %}
[EOF\_Packet](/docs/server/reference/clientserver-protocol/4-server-response-packets/eof_packet.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
Marks the end of a result set and returns status and warnings.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/f8IuMhW0VC7M59pQmcIt" %}
[ERR\_Packet](/docs/server/reference/clientserver-protocol/4-server-response-packets/err_packet.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
Indicates that an error occured.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/9aptxCDrjis7v2HNhX3z" %}
[LOCAL\_INFILE\_Packet](/docs/server/reference/clientserver-protocol/4-server-response-packets/packet_local_infile.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
If the client sends a `LOAD DATA LOCAL INFILE` statement via [com\_query](https://kb-archive.mariadb.net/kb/en/com_query/), the server responds with `LOCAL_INFILE_Packet` to tell the client to send a specified file to the server.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/us5uPVFG20T58OXP0lFL" %}
[OK\_Packet](/docs/server/reference/clientserver-protocol/4-server-response-packets/ok_packet.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
Sent by the server to the client. Indicates a successful completion of a command sent by the client before.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/NC3GJxyJOpdiPemeHds6" %}
[Result Set Packets](/docs/server/reference/clientserver-protocol/4-server-response-packets/result-set-packets.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
The server sends multiple packets as part of a result set.
{% endcolumn %}
{% endcolumns %}

{% columns %}
{% column %}
{% content-ref url="/pages/WxEuOnu0VrVNpqrRwkWa" %}
[Result Set Row](/docs/server/reference/clientserver-protocol/4-server-response-packets/resultset-row.md)
{% endcontent-ref %}
{% endcolumn %}

{% column %}
Data representing a database result set unit.
{% endcolumn %}
{% endcolumns %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://mariadb.com/docs/server/reference/clientserver-protocol/4-server-response-packets.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
